Log in or register to post comments

Can't upgrade Vuforia

March 30, 2021 - 2:48pm #1

Hello,



I tried the following link to upgrade the vuforia on Unity but none of these works.

https://library.vuforia.com/content/vuforia-library/en/articles/Solution/vuforia-engine-package-hosting-for-unity.html



I've even tried in different Unity versions 2019.2, 2019.4



My vuforia is stuck at version 8.3.6 eventhough in the package manager  and manifest json say  I have version 9.7.4. 



The errors that I got 

Assets\SamplesResources\SceneAssets\UserDefinedTargets\Scripts\FrameQualityMeter.cs(27,36): error CS0234: The type or namespace name 'ImageTargetBuilder' does not exist in the namespace 'Vuforia' (are you missing an assembly reference?)



sets\SamplesResources\SceneAssets\UserDefinedTargets\Scripts\UDTEventHandler.cs(93,39): error CS0246: The type or namespace name 'ImageTargetBuilder' could not be found (are you missing a using directive or an assembly reference?)

Assets\SamplesResources\SceneAssets\UserDefinedTargets\Scripts\UDTEventHandler.cs(32,5): error CS0246: The type or namespace name 'UserDefinedTargetBuildingBehaviour' could not be found (are you missing a using directive or an assembly reference?)

Assets\SamplesResources\SceneAssets\UserDefinedTargets\Scripts\UDTEventHandler.cs(40,5): error CS0246: The type or namespace name 'ImageTargetBuilder' could not be found (are you missing a using directive or an assembly reference?)

In the imageTargetScript it asks to update to 8.5.9, when I click, it just points me to package manager that shows I already have 9.7.4



I use windows 10. 



I tried uninstall unity hub and open it directly from Unity but it does not work. 



Please help. 



Deduu

 

AttachmentSize
Image icon upgrade.png297.78 KB
Image icon upgrade2.png129.78 KB

Can't upgrade Vuforia

April 2, 2021 - 4:13am #2

Hi,

Please use at least 2019.4 with 9.7.

In regards to the error, there might be some packages cached which Unity did not refresh/delete.

Please delete the packages from C:\Users\<username>\Appdata\Local\Unity\Cache\packages\registry.pacakges.developer.vuforia.com and also check the LocalLow for the same. Basically you will need to delete all cached packages by Unity related to Vuforia Engine.

Afterwards please give it a new try and install the SDK using the option: Download Vuforia Engine SDK and Import Manually from the link you mentioned.

Thank you.

Vuforia Engine Suppport

Log in or register to post comments